Subject: [Detnet] Barry Leiba's No Objection on draft-ietf-detnet-mpls-11: (with COMMENT)

From: Barry Leiba via Datatracker <[email-masked]>
Date: Thu, 03 Sep 2020 21:23:41 -0700

Barry Leiba has entered the following ballot position for
draft-ietf-detnet-mpls-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-mpls/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Just some small, non-blocking, and easy-to-address comments here:

Abstract:
   This document builds on the DetNet
   Architecture and Data Plane Framework.

Section 2.1:
   This document uses the terminology established in the DetNet
   architecture [RFC8655] and the DetNet Data Plane Framework
   [I-D.ietf-detnet-data-plane-framework].  The reader is assumed to be
   familiar with these documents, any terminology defined therein

Then how is it possible that data-plane-framework is informative?  I think it
has to be normative.

— Section 4.2.1 —

   and (2) to allow non-skip zero S/N what simplifies implementation.

I can’t parse that.  Can you fix the wording or explain what I’m missing?

— Section 6 —

   for the mitigation of Man-In-The-Middle attacks

This is entirely up to your judgment, but please consider using phrasing such
as “for mitigating attackers-in-the-middle” here.  Thanks.

---

From: Balázs Varga A <[email-masked]>
Date: Fri, 4 Sep 2020 13:47:59 +0000

Hi Barry,

Many thanks for the review and the comments. 
Regarding:
- Section 2.1 and having data-plane-framework as informative and not as normative.
The reference in section 2.1 is only for the terminology used in the data-plane-framework.
That is the reason to have it as an informative reference.

- Section 4.2.1, clarifying "and (2) to allow non-skip zero S/N what simplifies implementation."
Text here intends to refer, that a circular unsigned sequence number space - including 0 as well - is 
easier to implement. The Generic PW MPLS Control Word (PWMCW) defined in [RFC4385]
uses a circular unsigned 16-bit number space that _excludes_ the value zero.

- Section 6, "for the mitigation of Man-In-The-Middle attacks"
Thanks for the suggested re-phrasing “for mitigating attackers-in-the-middle”. We intended to
use the most widely used terminology for such attacks.

I hope these clarifies your comments.

Thanks & Cheers
Bala'zs

-----Original Message-----
From: Barry Leiba via Datatracker <[email-masked]> 
Sent: Friday, September 4, 2020 6:24 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Ethan Grossman <[email-masked]>; [email-masked]
Subject: Barry Leiba's No Objection on draft-ietf-detnet-mpls-11: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Abstract:

Section 2.1:

Then how is it possible that data-plane-framework is informative?  I think it has to be normative.

— Section 4.2.1 —

— Section 6 —

This is entirely up to your judgment, but please consider using phrasing such as “for mitigating attackers-in-the-middle” here.  Thanks.

---

From: Barry Leiba <[email-masked]>
Date: Fri, 4 Sep 2020 14:57:59 -0400

Hi, Balázs, and thanks for the quick replies on both documents.

> That is the reason to have it as an informative reference.

For both documents, the data-plane-framework draft has terminology, at
least, that needs to be understood in order to fully understand these
documents.  That makes the data-plane-framework draft a normative
reference -- it doesn't matter that data-plane-framework is
informational... it matters that unless you understand the terminology
in data-plane-framework you're missing something with respect to the
detnet-mpls docs.

> uses a circular unsigned 16-bit number space that _excludes_ the value zero.

Please re-word the text in the document to make it more
understandable.  As I say, I can't parse the quoted phrase at all.  I
don't know what "non-skip zero" means, and I think the word "what" is
not the right word, and doesn't make sense there.

Barry

---

From: "Grossman, Ethan A." <[email-masked]>
Date: Fri, 4 Sep 2020 19:35:04 +0000

Hi Balázs,
Regarding the word "what" I think the word you want is "which": 

Was:  "and (2) to allow non-skip zero S/N what simplifies implementation."
Is:       "and (2) to allow non-skip zero S/N, which could simplify implementations".

Regarding "non-skip zero S/N" I know there has been discussion of this, is there anything published that we could provide a reference to? Or maybe just copy a longer version of the name for this from somewhere else...
Maybe "sequence numbering systems which include the value zero as a valid sequence number"

Ethan.

-----Original Message-----
From: Barry Leiba <[email-masked]> 
Sent: Friday, September 4, 2020 11:58 AM
To: Balázs Varga A <balazs.a.varga=[email-masked]>
Cc: The IESG <[email-masked]>; Grossman, Ethan A. <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Barry Leiba's No Objection on draft-ietf-detnet-mpls-11: (with COMMENT)

> That is the reason to have it as an informative reference.

For both documents, the data-plane-framework draft has terminology, at least, that needs to be understood in order to fully understand these documents.  That makes the data-plane-framework draft a normative reference -- it doesn't matter that data-plane-framework is informational... it matters that unless you understand the terminology in data-plane-framework you're missing something with respect to the detnet-mpls docs.

> Text here intends to refer, that a circular unsigned sequence number 
> space - including 0 as well - is easier to implement. The Generic PW 
> MPLS Control Word (PWMCW) defined in [RFC4385] uses a circular unsigned 16-bit number space that _excludes_ the value zero.

Please re-word the text in the document to make it more understandable.  As I say, I can't parse the quoted phrase at all.  I don't know what "non-skip zero" means, and I think the word "what" is not the right word, and doesn't make sense there.

Barry

---

From: Barry Leiba <[email-masked]>
Date: Fri, 4 Sep 2020 15:39:25 -0400

Thanks, Ethan... with your suggestions, it would read this way:

"and (2) to allow sequence numbering systems that include the value
zero as a valid sequence number, which simplifies implementation."

*That*, I find quite clear!  If Balázs agrees, it looks like we have a
good solution.

Barry

---

From: "Grossman, Ethan A." <[email-masked]>
Date: Sat, 5 Sep 2020 07:43:08 +0000

Hi Barry and Balázs,
Also regarding the term "man in the middle" - in the Security draft as a result of similar comments we have decided to replace that terminology with the "on-path" and "off-path" terminology, so perhaps that is what we should do here also? 
Ethan (as Editor, DetNet Security draft)

-----Original Message-----
From: Barry Leiba via Datatracker <[email-masked]> 
Sent: Thursday, September 3, 2020 9:24 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Grossman, Ethan A. <[email-masked]>; Grossman, Ethan A. <[email-masked]>
Subject: Barry Leiba's No Objection on draft-ietf-detnet-mpls-11: (with COMMENT)

Abstract:

Section 2.1:

— Section 4.2.1 —

— Section 6 —

---

From: Balázs Varga A <[email-masked]>
Date: Mon, 7 Sep 2020 13:53:26 +0000

Hi Barry/Ethan/Benjamin,

OK, thanks for the good wording.

I will update the drafts:
- change to normative reference
- add text as proposed on zero as a valid sequence number topic

Thanks
Bala'zs

-----Original Message-----
From: Barry Leiba <[email-masked]> 
Sent: Friday, September 4, 2020 9:39 PM
To: Grossman, Ethan A. <[email-masked]>
Cc: Balázs Varga A <balazs.a.varga=[email-masked]>; The IESG <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Barry Leiba's No Objection on draft-ietf-detnet-mpls-11: (with COMMENT)

"and (2) to allow sequence numbering systems that include the value zero as a valid sequence number, which simplifies implementation."

*That*, I find quite clear!  If Balázs agrees, it looks like we have a good solution.

Barry

On Fri, Sep 4, 2020 at 3:35 PM Grossman, Ethan A. <[email-masked]> wrote:
> Cc: The IESG <[email-masked]>; Grossman, Ethan A. <[email-masked]>; 
> [email-masked]; [email-masked]; 
> [email-masked]